<?php
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Thu Oct 26 09:52:55 2017
 *  Last Modified : <171026.1345>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2017  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

//require_once ( get_template_directory() . '/functions/theme-options.php' );
//require_once ( get_template_directory() . '/functions/register_sidebars.php' );
//require_once ( get_template_directory() . '/functions/widgets.php' );
//require_once ( get_template_directory() . '/functions/DeepwoodsMetaBox.php' );
//require_once ( get_template_directory() . '/functions/deepsoft_paypal_ipn.php' );
require_once ( get_template_directory() . '/functions/navmenus.php' );
//require_once ( get_template_directory() . '/functions/deepsoft_comments.php' );

class CountryRobot_Theme {
  public static $TheThemeObject = null;
  
  
  
  function __construct ( $args = "" ) {
    add_action( 'after_setup_theme', array ($this, 'theme_setup') );
    add_action( 'wp_enqueue_scripts', array ($this, 'enqueue_scripts') );
    CountryRobot_Theme::$TheThemeObject = $this;
  }
  
  function theme_setup () {
    add_theme_support( 'automatic-feed-links' );
    add_theme_support( 'title-tag' );
    $GLOBALS['content_width'] = 900;
    register_nav_menus( array(
                 'header-menu' => __('Header Menu', 'country-robot'),
                 'footer-menu' => __('Footer Menu', 'country-robot') ));
    wp_link_pages( );
    
  }
  function enqueue_scripts() {
    wp_enqueue_style( 'country-robot-style', get_stylesheet_uri() );
    wp_enqueue_script( 'plusone', 'https://apis.google.com/js/plusone.js' );
  }
  public static function standard_page_menu ($args) {
    $defaults = array('container' => 'div',
                      'container_id' => 'navwrap',
                      'menu_class'     => 'flat_menu',
                      'menu_id'        => 'nav');
    $args = wp_parse_args( $args, $defaults );
    $args = apply_filters( 'wp_page_menu_args', $args );
    global $post;
    $homeLink = home_url() . '/';
    $homeTitle = "Home";
    $homepage = get_page_by_title("Home");
    $home_id = $homepage->ID;
    if ( is_page() || is_single() ) {
      $pageid = $post->ID;
      $name = get_the_title($post->ID);
      $parent = $post->post_parent;
    } else {
      $pageid = $home_id;
      $name = $homeTitle;
      $parent = 0;
    } 
    $menu = '';
    $menu .= '<li><a href="'.$homeLink.'" title="'.$homeTitle.'">'.$homeTitle.'</a></li>';
    $menu .= wp_list_categories( array ('title_li' => '',
                                        'depth' => 1,
                                        'include' => get_cat_ID('News'),
                                        'echo' => 0 ));
    $children = wp_list_pages( array ('title_li' => '',
                                      'depth' => 1,
                                      'sort_column' => 'menu_order',
                                      'child_of' => $pageid,
                                      'echo' => 0 ));
    if ( empty($children) ) {
      if ($parent != 0 && $parent != $home_id) {
        $parentbutton = $parent;
        $pageid = $parent;
      } else {
        $parentbutton = 0;
        $pageid = $home_id;
      }
    } elseif ($pageid != $home_id) {
      $parentbutton = $pageid;
    } else {
      $parentbutton = 0;
    }
    if ( $parentbutton != 0) {
      $menu .= wp_list_pages( array ('title_li' => '',
                                     'depth' => 1,
                                     'sort_column' => 'menu_order',
                                     'include' => $pageid,
                                     'echo' => 0 ));
    }
    $menu .= wp_list_pages( array ('title_li' => '',
                                   'depth' => 1,
                                   'sort_column' => 'menu_order',
                                   'exclude' => $home_id,
                                   'child_of' => $pageid,
                                   'echo' => 0 ));
    $bugreporturl = '';
    $bugreporturl = get_post_meta($pageid, 'bugreporturl', true);
    if (! empty($bugreporturl) ) {
      $menu .= '<li><a href="'.$bugreporturl.'">File a Bug</a></li>';
    }
    $consultPage = get_page_by_path('freeconsultation');
    $consult = $consultPage->ID;
    $menu .= wp_list_pages( array ('title_li' => '',
                                   'depth' => 1,
                                   'include' => $consult,
                                   'echo' => 0 ));
    $sitemapPage = get_page_by_path('sitemap');
    $sitemap = $sitemapPage->ID;
    $menu .= wp_list_pages( array ('title_li' => '',
                                   'depth' => 1,
                                   'include' => $sitemap,
                                   'echo' => 0 ));
    $menu .= wp_list_categories( array ('title_li' => '',
                                        'depth' => 1,
                                        'include' => get_cat_ID('Linux Articles'),
                                        'echo' => 0 ));
    $m1 = '<ul';
    if (! empty($args['menu_id']) ) {
      $m1 .= ' id="'.$args['menu_id'].'"';
    }
    if (! empty($args['menu_class']) ) {
      $m1 .= ' class="'.$args['menu_class'].'"';
    }
    $menu = $m1.'>'.$menu.'</ul>';
    if ($container) {
      $c1 = '<'.$container;
      if (! empty($args['container_id']) ) {
        $c1 .= ' id="'.$args['container_id'].'"';
      }
      if (! empty($args['container_class']) ) {
        $c1 .= ' class="'.$args['container_class'].'"';
      }
      $menu = $c1.'>'.$menu.'</'.$container.'>';
    }
    if ( $args['echo'] ) {
      echo $menu;
    } else {
      return $menu;
    }
  }
}


new CountryRobot_Theme();
  
  
